#import "./organization-campaign-fragment.graphql"

query getOrganizationCampaignsConnection(
  $organizationSlug: String!
  $invitesSent: Boolean
  $after: String
  $shortOrgInfo: Boolean = false
  $skipCampaignListIrreleventFields: Boolean = false
  $withCampaignListFields: Boolean = false
  $sharedToTeam: Boolean = true
) {
  organization(slug: $organizationSlug) {
    id
    campaignsConnection(invitesSent: $invitesSent, first: 10, after: $after) @connection(key: "campaignsConnection", filter: []) {
      pageInfo {
        endCursor
        hasNextPage
      }
      edges {
        node {
          ...OrganizationCampaignFragment
        }
      }
    }
  }
}
